Subject: RE: bug#42994: 27.1; json-serialize unable to serialize JSON values

From: Drew Adams <[email-masked]>
Date: Sun, 23 Aug 2020 09:58:14 -0700 (PDT)

> I'm not sure why you are bringing this up. Even RFC 8259 is 3 years old
> and prior to that people had been sending booleans strings and numbers
> as JSON text for many years.

I'm actually agreeing with you.

I brought it up to point out that at one time
JSON scalar values were typically not considered
to be JSON texts.  This explains why some systems,
frameworks, applications, etc. might not support
scalar serialization.

That's all.  I do believe that Emacs should
support RFC 8259 (it should always support the
latest JSON specs).  And it should support it
by default.

For interoperability with other systems etc. that
do not support scalar texts, it can be useful to
have a mode that, likewise, doesn't support/allow
scalars as JSON texts - e.g., a "disable scalars"
mode, which rejects a document that isn't an
object or an array.

But by default Emacs should support scalar texts.